PDA

View Full Version : Updates reverting version back to 2.6.5



jbear
August 20th, 2010, 09:38
Hi there,

So I am aware that we received a pretty big update a few days ago, but I was wondering why it switched me from version 2.7.0 (test version), which my DM was using, to 2.6.5 ?

On Wednesday we manually switched back to the Test Version which is now 2.7.1 ... I just updated again 2 minutes ago and it has automatically switched me back to 2.6.5 .

So I was wondering what was going on. What is the current difference between the updated 2.6.5 version and the old 2.7.0 test version, and then again the difference between the updated 2.6.5 and the latest test version 2.7.1

Cheers in advance for what is usually a lighning fast response! :)
J

Zeus
August 20th, 2010, 10:09
The current release version been rolled back to 2.6.5. More info here (http://www.fantasygrounds.com/forums/showthread.php?p=95507#post95507)

jbear
August 20th, 2010, 12:16
I'm not sure i understand. I read that link, but unfortunately 'being rolled back' to me means that something has been put off or delayed.

So the update has been delayed because of issues in non-d&d rulesets caused by the update, so the update I did 'un-updated' my version?

However from your sentence I kind of understand that 2.7.0 changes have now been incorporated into the version 2.6.5.

So, should i manually change update it to 2.7.1 if i'm using exclusively d&d?
Or is that unnecessary because at the moment they are identical?

Zeus
August 20th, 2010, 12:45
I'm not sure i understand. I read that link, but unfortunately 'being rolled back' to me means that something has been put off or delayed.

So the update has been delayed because of issues in non-d&d rulesets caused by the update, so the update I did 'un-updated' my version?

Yes. Your back at 2.6.5 if you updated.

2.7.1 introduced some changes which caused problems for some rulesets (non-D&D e.g. 4E and 3.5E). As such Smiteworks decided to revert back to 2.6.5. 2.7.1 is still available but only under Test Mode, this whilst the problems are addressed.



However from your sentence I kind of understand that 2.7.0 changes have now been incorporated into the version 2.6.5.

No, let me explain.

Smitworks have built two modes into the Updater program: Release Mode and Test Mode. The two modes allow Smiteworks to support two versions in distribution, the first is the standard release version of FGII and the second is a test release. By downloading the TestManager tool you can effectively switch the mode you want FGII to run in e.g. Release or Test Mode.

At present and since the most recent change: Release version is currently at v2.6.5 and the Test release version is at 2.7.1.



So, should i manually change update it to 2.7.1 if i'm using exclusively d&d?
Or is that unnecessary because at the moment they are identical?
[/QUOTE]

Unless you want to exploit some of the new features 2.7.1 offers AND your running a D&D based campaign, you may want to wait until the recent problems are first addressed and 2.7.1 is made available again under release. Its entirely up to you.

However if you do want to re-update to 2.7.1, you need to download the TestManager tool, switch to Test mode and then run the updater. If you do decide to do this it would be a good idea to first backup your campaign files.

Hope thats clearer.